Welcome

Welcome to the AAA Photo Album help system

Here you can find answers to questions you might have about the program details. The help is organized according to the program's interface units so it is easy to find an answer picking the right interface part.

Program Overview
Quick Start
Startup Wizard
Thumbnails' settings Pages Reference
Gallery Wizard


AAA Photo Album Overview

AAA Photo Album is a complete solution for creating stylish thumbnail images and HTML-based image galleries. You can batch process thousands of images in minutes changing the file format, size, rotation, quality and style. An easy to use interface makes it a matter of several clicks to find your images and select them for processing individually, in batches, or in whole folders, using the fast thumbnail browser. You can add picture frame, mask, bevel and shadow effects, checking out the results in a real-time preview. You can pick a predefined style for your images or create your own and store it for later use. You can set the JPEG quality of the output image, watch the compressed result image and image size in real-time.

Key Features:

  • Choose your gallery style
  • Scale images up or down using 8 different resizing modes.
  • Sharpen soft images that came from digital cameras.
  • Show a real-time preview of the result image and it's dimensions.
  • Add realistic 3D picture frames to your images with overlayed texture.
  • Apply bevel, mask and shadow effects to the image.
  • Place a copyright message or picture on the image with Marker feature.
  • Modify the names of images by adding prefix, suffix and using auto-increment feature.
  • Retreive image properties from the EXIF info and show them on the web page.
  • Preview the output compressed JPEG image and it's file size in real-time.

License

The program is FREEWARE

For latest information and new versions please visit AAA Photo Album Web Site


Getting Started

For instance you want to create a Web Gallery. Do the following:

1. In the Startup Wizard select the Generate Web Gallery mode.
2. Add image files in the second page of the Startup Wizard or in the main dialog pressing either Add Folder… button or Add Files… button.
3. Rotate images that do not match the orientation you want by selecting one or more of them and pressing one of the rotation buttons at the bottom of the Thumbnails Window.
4. Use drag and drop or arrow buttons to arrange thumbnails in the Thumbnails Window and DEL key or Remove Folder/Remove Files buttons to exclude images you do not want to process. You also can manage images pressing the right mouse button in the Thumbnails Window and invoking the context menu.
5. After that you can pick one of the style presets for your thumbnails by choosing one in the Load Style combo box. Then, if you want to change the image style, you can alter properties in various pages:

a) Go to Resize Page to set the output images size. Check 'Sharpen' checkbox if you want more sharp look.
b) Go to Frame Page and set the bevel or frame properties you want for the images.
c) Add an image mask in the Mask Page.
d) Add a shadow for the image in Shadow Page.

6. Press the "Generate Web Album" button to continue...


Starting up the AAA Photo Album

Startup Wizard: Loading Images at Startup

When you start the program, the AAA Photo Album Startup Wizard pops-up: you can select the source from where you want to load the initial set of images.

Open the last image set: Open the set of images that you formed when working with the program the last time.

Browse for folder of images: Select this option if you want to add a folder that contains images you want to process.

Open image file(s): Browse for individual file(s) and add them for processing.

Start with no images: Start the program with an empty image list. You can add images later using Add Folder and Add Files buttons of the main dialog.


Managing Images

Managing Your Images.

Learn here how to add and remove images in the thumbnails view, manage image sequence and rotate images.

Adding Images

You can add image files you want to process to the thumbnail view on the left by pressing either Add Folder… button, if you want to add the entire image folder and optionally its subfolders, or by pressing Add Files… button, if you want to add just one or several image files. You also can use keyboard shortcuts, Ctrl+F for Add Folder…, Ctrl+O for Add Files…

Selecting Images

You can select one image by clicking on it or navigating in the thumbnails view with arrow keys. You can select multiple images using CTRL+mouse click or SHIFT+mouse click, like you select files or folders in the Windows Explorer. You can also select multiple images by pressing CTRL+arrow keys and SHIFT+arrow keys. To select all images press CTRL+A.

Deleting Images

You can remove the selected images from thumbnails view by either pressing Remove Files… button, pressing DEL key, or dragging the selected images off the view. You also can exclude the entire folder of images by pressing Remove Folder… button.

Rotating Images

Select one or multiple images you want to rotate and press one of the rotation buttons: to rotate images counter-clockwise by 90 degrees, 180 degrees and clockwise by 90 degrees.

Setting Image Titles

You can define a title for each image that describes it. The title will appear in the web gallery either under the image, under the thumbnail or in the information box, depending on the gallery template. To do this, invoke the context menu by right-clicking on the thumbnnail in the thumbnail view and select Set Gallery Names to invoke the Names dialog.

You also can add, remove and rotate images by pressing the right mouse button and invoking the context menu.

Managing Images Sequence

Use image sequence buttons: or a drag-drop mechanism to rearrange images in the thumbnails view. Select one or several images, put the mouse over one of them and press the left mouse key. Drag the images to the position you want them to appear while holding the left mouse key. Release the left mouse key when you achieve the required position. The position is marked with special position mark.


AAA Photo Album

AAA Photo Album Pages

All available image operations in AAA Photo Album are organized in several pages. It's easy to access any image processing function at any time. Changing any control affects the preview window rendering in real-time.


Resize page

Use this page to set up images resizing rules.

Page appearance

Enabling resize: check the Enable Resize checkbox to turn on the resizing option. When Enable Resize is switched off, all the images retain their original sizes.

Resize modes

  1. Fit
  2. Fit Width
  3. Fit Height
  4. Exact Size
  5. Percents
  6. Auto Crop
  7. Crop Width
  8. Crop Height

Interpretation of Width, Height and Percents controls values depends on currently selected resize mode.

Fit Width mode - image will be resized to match specified width. It's height is not significant.

Fit Height mode - image will be resized to match specified height. It's width is not significant.

Exact Size mode - image will be resized to match both height and width specified. Image aspect ratio can be changed during resize.

Percents mode - image will be resized to the specified percentage from original size.

Auto Crop mode - image will be resized to match the specified size. Image cab be cropped horizontally or vertically.

Crop Width mode - image will be resized to the specified height. Image can be cropped horizontally if it's width after resize exceeds specified value.

Crop Height mode - image will be resized to the specified width. Image can be cropped verticaly if it's height after resize exceeds specified value.

Sharpen option

The Sharpen option is useful when you creating small thumbnails. Turn it on to produce more sharp and clear thumbnails.

Result Size

When resize option is enabled original image will be resized according to specified size and mode. But final image size can differ from the specified one. More exactly, Frame and Shadow features increase image size. See Result Size inscription under preview window to find out exact resulting size.


Frame Page

Use controls on this page to add realistic 3D picture frame with texture overlay or bevel effect to your images.

Page appearance

This page has three modes:
None - switch off all frame and bevel effects.
Styled Frame - enable picture frame effect on the image.
Bevel - enable bevel effect.

Usage

Width: In Styled Frame and Bevel modes use this control to set either frame or bevel width measured from the image boundaries.

Roundness: Set the roundness ratio of frame or bevel shape by this control. 0% Roundness means square shaped frame or bevel while 100% roundness creates an elliptic shape of frame or bevel and the image itself. The intermediate values give us rounded rectangle shape where the roundness radius is proportional to the parameter value

Thickness: Set the "Thickness" of the frame or bevel. This parameter controls the third dimension of either frame or bevel. Increase this parameter value to get more 3D look effect.

Light Angle: Set the direction from where the frame or bevel is lit. 0 value corresponds to the position of light source on top, going counter-clockwise while the parameter is increased.

Light Altitude: Specify the altitude of the light measured in degrees from the image plane.

Color: Invoke the frame color control. You can either pick the predefined color from a list, invoke the standard Windows color dialog by pressing More Colors... button or pick a color from the Preview window or screen by pressing Click to pick from screen button.

Texture Settings

The texture can be applied to the frame only.

3D Look Strength: Make your texture look three-dimentional! This parameter controls the strength of 3D look of a texture.

Keep Texture Color: When this checkbox is on, the texture retains its original color values. Uncheck this checkbox to transfer the color specified by Color control to the texture.

Press Settings... button to invoke texture settings dialog.

Click on the texture thumbnail to select the texture image that will be overlayed on the frame. Click on No Texture thumbnail to switch off the texture overlay. The texture images are located in /Textures directory of the main application install folder. You can copy your custom textures to this folder or create subfolders of images there if you want to apply your own textures to the picture frame.

Angle: Specify the texture rotation angle.
Scale: Specify the texture scale.
OffsetX, OffsetY: Specify the vertical and horizontal shift of a texture.
Opacity: Set the texture opacity.
Reset: Press the Reset button to set the default values to all texture settings.
Done: Close the Texture Settings dialog.


Mask Page

Use this page to add a mask to to your images. To enable the mask effect, check the Enable Mask checkbox. To load the actual mask image, press Load button and select the appropriate mask pattern from the Masks popup dialog. The masks image files are located in /Masks subfolder of the main application install folder. If you want to add your own masks, just copy mask files to this directory. Your custom masks will appear in the Masks popup dialog.

Page appearance

Usage

Check the Randomize Orientation checkbox to randomely rotate and flip the mask for each new image. This will give your thumbnail pages more fresh and interesting look.

When combined with Picture Frame Effect, you can place the mask either inside the frame or outside. Press Inside Frame radio button to place the mask inside the frame. Press Outside Frame radio button to place the mask outside the frame. These controls are enabled only if you select Styled Frame mode in the Frame Page.


Shadow Page

Use this page to add shadow effect to your images. Press Enable Shadow checkbox to enable the shadow effect.

Page appearance

Usage

Angle: Set the position angle of a light source. Zero value corresponds to the position of light source on top of the image, going counter-clockwise while the parameter is increased. Note: this parameter is combined with the Light Angle parameter of the Frame Page in order to create more realistic lighting effects. If you change this parameter, the Light Angle parameter of the frame or bevel effect will also change.

Distance: Set the distance between the shadow and the picture.

Focus: Set the shadow focus.

Intensity: Set the intensity of the light. The more intensity - the more vivid shadow is created.


Marker Page

Use this page to set up marker options. Usually marker is a small image with your name, logotype or copyright message on it. Placing copyright message on your photos is a good idea before publishing them at web-site.

Page appearance

Usage

At first make shure that marker is enabled: Enable Marker checkbox should be checked.

Now select the image you want to use as a marker. Type it's name in Marker Filename control (you need to supply full file's path) or simply push [image] button and browse for desired file.

Selecting marker position: use one of the arrow buttons to select marker position (for example, click [image] button to select bottom-left corner of an image). Offset X and Offset Y controls can be used to adjust selected marker position with pixel accuracy. Now adjust marker size if necessary with Scale % control.

You can make marker more or less visible by changing Opacity control value.
Hint: Markers in PNG format are supported. This means you can create markers with transparency.


Managing Styles

Styles in AAA Photo Album is a powerful feature that allows you to save settings of all effects, i.e. Resize, Frame, Mask, Shadow, Marker, as a 'Style'. Later you can load your settings by picking the style and apply them on the image with single click.

Saving a Style

To save current effects settings press Save Style button: . You will get the Save Style Dialog where you would have to provide the style name.

Loading a Style

To load previously stored settings press the Styles combobox. You will get the Styles Preview popup window, where each style stored on disk will be applied on currently selected image. Just pick one that you like and it will be loaded and applied to currently selected image.

Deleting a Style

To move currently selected Style to Recycle Bin press Delete Style button: . If you want to completely remove it, press SHIFT key when pressing Delete Style.


Web Gallery Wizard

Use this wizard to create web galleries out of your images. First of all set the thumbnail's size and style that you desire in the Main Dialog, then press the "Generate Web Album" button to start the wizard.


Thumbnails and Image Options.

Images Options Page - set the large images options on this page of the Gallery Wizard. You can restrict the maximum size of large images by required amount checking Reduce large images checkbox and specifying Width and Height values. Also you can set the output JPEG quality images on this page and assign the title of the Web gallery and each image pressing Edit Image Names button. You can also set the numer of thumbnails per page.


Output Settings and Generating the Gallery

On the last page of Gallery Wizard specify the output directory for the gallery. Type it in Output Directory field or press [image] button and browse for it.

Use Selection radio buttons to choose to process either all opened images or only selected ones. If there are no selected images, all images will be processed and these radio buttons will be grayed out.

Press Generate button to start the process of generating web gallery. After it finishes the result gallery appears in the default web-browser's window unless you uncheck Show the result gallery checkbox.

Press Save Gallery Project button to save all of your gallery settings to a file including the list of images, rotation data, thumbnail style, image titles and gallery template settings. You can load the gallery project either on startup wizard or using the main dialog's system menu.

And finally click the "Upload to FTP" button, to upload your web album to the Web (onto your website)


Naming Page

When using batch processing mode, use this page to set up naming rules for resulting files.

Page appearance

Prefix / suffix

To add some prefix or suffix to generated images (for example, add _thumb after each filename) check Use Prefix / Suffix checkbox, select prefix or suffix mode from drop-list and type your text in Prefix / Suffix control. You can see a sample filename at the bottom of page.

Autoincrement

Using this option you can number all the images starting from appropriate value. To do this, check the Use Autoincrement checkbox and select starting value (by default, zero). Select minimal number width if necessary — this will cause leading zero filling if number's width less than specified. Sample filename can be viewed at the bottom of page. Check Ignore Source Filename to exclude the source file name from the target name.


Saving and Batch Processing

Saving Results

To save current image press [image] button.

Batch Processing

If you want to process all opened images or only selected images, you should use batch processing mode. Current resize, frame, mask, etc styles (you can see the result image with all settings applied in preview window) will be applied to all of them. To start batch processing, press Start! button. You'll see the following dialog:

First specify the output directory for the result files. Type it in Output Directory field or press [image] button and browse for it.

Use Selection radio buttons to choose to process either all opened images or only selected ones. If there are no selected images, all images will be processed and these radio buttons will be grayed out.

Use Exisiting Files radio buttons to set whether to overwrite files with the same filenames or not.